# pymonday/columns.py

########################################################################################################################
# COLUMN FORMATS
########################################################################################################################
column_formats = {
    'text': '\\"{}\\": \\"{}\\"',
    'checkbox': '\\"{}\\" : {{\\"checked\\" : \\"{}\\"}}',
    'timeline': '\\"{}\\" : {{\\"from\\" : \\"{}\\", \\"to\\" : \\"{}\\"}}',
    'connect_boards': '\\"{}\\" : {{\\"item_ids\\" : {}}}',
    'country': '\\"{}\\" : {{\\"countryCode\\" : \\"{}\\",\\"countryName\\" : \\"{}\\"}}',
    'date': '\\"{}\\" : {{\\"date\\" : \\"{}\\"}}',
    'date_time': '\\"{}\\" : {{\\"date\\" : \\"{}\\", \\"time\\" : \\"{}\\"}}',
    'dependency': '\\"{}\\" : {{\\"item_ids\\" : {}}}',
    'dropdown': '\\"{}\\" : {{\\"ids\\" : [\\"{}\\"]}}',
    'email': '\\"{}\\" : {{\\"email\\" : \\"{}\\",\\"text\\" : \\"{}\\"}}',
    'hour': '\\"{}\\" : {{\\"hour\\" : {}, \\"minute\\" : {}}}',
    'link': '\\"{}\\" : {{\\"url\\" : \\"{}\\", \\"text\\" : \\"{}\\"}}',
    'location': '\\"{}\\" : {{\\"lat\\" : \\"{}\\", \\"lng\\" : \\"{}\\", \\"address\\" : \\"{}\\"}}',
    'long_text': '\\"{}\\" : {{\\"text\\" : \\"{}\\"}}',
    'name': '\\"{}\\" : \\"{}\\"',
    'numbers': '\\"{}\\" : \\"{}\\"',
    'people': '\\"{}\\" : {{\\"personsAndTeams\\":[{{\\"id\\":{},\\"kind\\":\\"{}\\"}}]}}',
    'status': '\\"{}\\" : {{\\"label\\" : \\"{}\\"}}',
    # NEWLY ADDED COLUMN FORMATS
    'phone': '\\"{}\\" : {{\\"phone\\" : \\"{}\\", \\"countryShortName\\" : \\"{}\\"}}',
    'rating': '\\"{}\\" : {{\\"rating\\" : {}}}',
    'world_clock': '\\"{}\\" : {{\\"timezone\\" : \\"{}\\"}}',
    'week': '\\"{}\\" : {{\\"week\\" : {{\\"startDate\\" : \\"{}\\", \\"endDate\\" : \\"{}\\"}}}}'
}

